Subject: Re: linux-next: manual merge of the iio tree with the iio-fixes tree

From: Thierry Reding <[email-masked]>
Date: Thu, 7 May 2026 12:41:16 +0200

On Thu, May 07, 2026 at 11:29:38AM +0100, Jonathan Cameron wrote:
> On Thu, 07 May 2026 12:05:27 +0200
> Thierry Reding <[email-masked]> wrote:
> 
> > Hi all,
> > 
> > Today's linux-next merge of the iio tree got a conflict in:
> > 
> >   drivers/iio/imu/st_lsm6dsx/st_lsm6dsx_buffer.c
> > 
> > between commit:
> > 
> >   cba48e44357b ("iio: imu: st_lsm6dsx: fix stack leak in tagged FIFO buffer")
> > 
> > from the iio-fixes tree and commit:
> > 
> >   7216b9f7e9fe ("iio: imu: st_lsm6dsx: Fix check for invalid samples from FIFO")
> > 
> > from the iio tree.
> > 
> > I fixed it up by using the version from the iio tree. This is now fixed
> > as far as linux-next is concerned, but any non trivial conflicts should
> > be mentioned to your upstream maintainer when your tree is submitted
> > for merging.  You may also want to consider cooperating with the
> > maintainer of the conflicting tree to minimise any particularly complex
> > conflicts.
> 
> Thanks. That's the correct conflict resolution.

Thanks for confirming. I was halfway tempted not to report this because
it's pretty obvious that the issue addressed in iio-fixes is also fixed
by the commit in iio. I don't know if Mark or Stephen would usually not
report these, so thought I'd better play it safe just in case.

Thierry